%define momorel 2

Summary: A set of X Window System screensavers.
Name: xscreensaver

Version: 4.18
Release: %{momorel}m
License: BSD
Group: Amusements/Graphics
URL: http://www.jwz.org/xscreensaver/
Source: http://www.jwz.org/xscreensaver/xscreensaver-%{version}.tar.gz
NoSource: 0
Source3: xscreensaver-fortune-standin
Patch1: xscreensaver-4.16-rh.patch
Patch3: xscreensaver-4.14-disable-starwars.patch
Patch4: %{name}-%{version}-vroot.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPreReq: fortune-mod
BuildPreReq: pam-devel
BuildPreReq: imlib-devel >= 1.9.14-4k
BuildPreReq: libglade-devel >= 2.0.1
BuildPreReq: bc
Requires: xloadimage, fortune-mod, pam, XFree86 >= 4.1.0
Obsoletes: xscreensaver-gl
%define stand_in_path %{_prefix}/X11R6/lib/xscreensaver/fortune

%description
The xscreensaver package contains a variety of screensavers for your
mind-numbing, ambition-eroding, time-wasting, hypnotized viewing
pleasure.

%prep
%setup -q
%patch1 -p1 -b .rh
#%%patch3 -p1
%patch4 -p1 -b .vroot

%build
libtoolize --copy --force
autoconf
CFLAGS="%{optflags} -D_GNU_SOURCE" ./configure \
        --prefix=%{_prefix}/X11R6 \
        --without-motif --with-pam --with-gl --with-gtk2 \
	--with-gle \
        --without-gnome \
	--with-xml \
	--with-xpm \
	--with-pixbuf \
	--with-jpeg \
	--with-xshm-ext \
	--with-xdbe-ext \
	--with-readdisplay \
	--with-sgi-ext \
	--with-mit-ext \
	--with-xidle-ext \
	--with-sgivc-ext \
	--with-dpms-ext \
	--with-xinerama-ext \
	--with-xf86vmode-ext \
	--with-xf86gamma-ext \
	--with-randr-ext \
	--with-proc-interrupts \
	--with-shadow \
        --with-fortune=%{stand_in_path}
# Change the default.  If the fortune app isn't installed at compile-time,
# xscreensaver defaults to /usr/games/fortune anyway, which screws us unless
# xscreensaver is already installed, so force it.
awk '/^#define FORTUNE_PROGRAM/ {print "#define FORTUNE_PROGRAM \"%{stand_in_path}\""; next} {print}' config.h > config.h.stand_in && cat config.h.stand_in > config.h
%make

%install
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}
export KDEDIR=%{_prefix}

# %%__mkdir_p %{buildroot}%{prefix}/bin
# %%__mkdir_p %{buildroot}%{_bindir}
# %%__mkdir_p %{buildroot}%{prefix}/man/man1
# %%__mkdir_p %{buildroot}%{_sysconfdir}/pam.d
# %%__mkdir_p %{buildroot}%{prefix}/lib/xscreensaver
make install_prefix=%{buildroot} \
  KDEDIR=/usr \
  GNOME_BINDIR=%{_bindir} \
  GNOME_DATADIR=%{_datadir} \
  datadir=%{_datadir} \
  install || :

# Install our stand-in for fortune in the right place, taking care to
# error out if a module exists with the same name.  We do this because
# fortune is going away.  The contents of the stand-in script can be modified
# to call fortune if you still have it installed after an upgrade, or it
# can be overridden from the configuration dialogs or using X resources.
test -e %{buildroot}/%{stand_in_path} && exit 1 || :
install -m 755 %{SOURCE3} \
 %{buildroot}/%{stand_in_path}
 
mkdir -p %{buildroot}/etc/pam.d
install -m 644 driver/xscreensaver.pam \
 %{buildroot}/etc/pam.d/xscreensaver
  
%find_lang %{name}

rm -rf %{buildroot}/%{_datadir}/applications \
 %{buildroot}/%{_datadir}/control-center/capplets/screensaver-properties.desktop \

#rm -f %{buildroot}/usr/share/control-center/screensavers/README

%clean
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc README README.debugging
%config(missingok) %{_sysconfdir}/pam.d/xscreensaver
#%{_bindir}/xscreensaver.kss
%{_bindir}/*
%{_prefix}/X11R6/bin/xscreensaver*
%config %{_prefix}/X11R6/lib/X11/app-defaults/XScreenSaver
%{_prefix}/X11R6/man/man1/*.*
%{_prefix}/X11R6/lib/xscreensaver/*
#%{_prefix}/X11R6/libexec/xscreensaver
%{_datadir}/control-center/screensavers
%{_datadir}/control-center/Desktop/*
%{_datadir}/control-center-2.0/capplets/*
%{_datadir}/xscreensaver
%{_datadir}/pixmaps/*

#%{_datadir}/locale/*/LC_MESSAGES/*
#%{_datadir}/applications/screensaver-properties.desktop
#%{_datadir}/control-center-2.0/capplets/screensaver-properties.desktop
#%{_datadir}/control-center/Desktop/screensaver-properties.desktop
#%{_datadir}/control-center/capplets/screensaver-properties.desktop
#%{_datadir}/control-center/screensavers/*.xml
#%{_datadir}/pixmaps/xscreensaver.xpm

%changelog
* Mon Apr 18 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (4.18-2m)
- import xscreensaver-4.18-vroot.patch from Fedora Core
 +* Fri Nov 26 2004 Than Ngo <than@redhat.com> 1:4.18-13
 +- add patch to fix vroot bug and make xscreensaver working in KDE again.

* Sun Oct  3 2004 Kazuhiko <kazuhiko@fdiary.net>
- (4.18-1m)
- minor bugfixes
- rebuild against gcc-c++-3.4.2

* Tue May 18 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (4.16-1m)
- update to 4.16
- enable starwars for test
- revise configure options

* Sun Apr 11 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (4.14-2m)
- disable starwars
  using i830/i865G with DRI, if starwars is started, a system will freeze.

* Sat Apr 10 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (4.14-1m)
- import from FC2

* Sat Apr 10 2004 Masaru SANUKI <sanuki@momonga-linux.org>
- (4.13-5m)
- rebuild against for libxml2-2.6.8

* Sun Mar 28 2004 Toru Hoshina <t@momonga-linux.org>
- (4.13-4m)
- revised spec for rpm 4.2.

* Mon Dec 08 2003 Kenta MURATA <muraken2@nifty.com>
- (4.13-3m)
- use gtk+-2.0.

* Mon Dec  1 2003 Kazuhiko <kazuhiko@fdiary.net>
- (4.13-2m)
- rebuild against perl-5.8.2-2m

* Mon Sep 22 2003 Motonobu Ichimura <famao@momonga-linux.org>
- (4.13-1m)
- version 4.13

* Thu Jun 26 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (4.11-1m)
  update to 4.11

* Tue Jun  3 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (4.10-1m)
  update to 4.10

* Wed Mar 19 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (4.09-2m)
- rebuild against for XFree86-4.3.0

* Wed Mar 19 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (4.09-1m)
  update to 4.09

* Mon Nov 11 2002 YAMAZAKI Makoto <uomaster@nifty.com>
- (4.05-3m)
- add BuildPreReq: bc

* Fri Jun 14 2002 Tsutomu Yasuda <tom@kondara.org>
- (4.05-2k)
  update to 4.05

* Thu Jun  6 2002 Shingo Akagaki <dora@kondara.org>
- (4.01-8k)
- remove kondara scr

* Sat Apr 20 2002 YAMAZAKI Makoto <zaki@kondara.org>
- (4.01-6k)
- add BuildPreReq: imlib-devel

* Sat Apr 20 2002 YAMAZAKI Makoto <zaki@kondara.org>
- (4.01-4k)
- rebuild against libpng 1.2.2.

* Mon Mar 18 2002 Shingo Akagaki <dora@kondara.org>
- (4.01-2k)
- version 4.01

* Fri Oct 26 2001 Toru Hoshina <t@kondara.org>
- (3.34-4k)
- BuildPreReq XFree86-devel >= 4.1.0.

* Thu Oct 25 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (3.34-2k)
- update to 3.34

* Tue Oct 16 2001 Toru Hoshina <t@kondara.org>
- (3.33-4k)
- rebuild against libpng 1.2.0.

* Fri Aug 24 2001 Shingo Akagaki <dora@kondara.org>
- (3.33-2k)
- mazema-ze from rawhide 3.33-3

* Fri Jun  8 2001 Akira Higuchi <a@kondara.org>
- (3.31-8k)
- eschew.patch

* Sat Jun  2 2001 Toru Hoshina <toru@df-usa.com>
- avoid freeze on alpha (;_;)

* Fri Jun  1 2001 Shingo Akagaki <dora@digitalfactory.co.jp>
- add yuuwaku

* Thu Mar 29 2001 Toru Hoshina <toru@df-usa.com>
- (3.31-2k)

* Mon Feb 19 2001 Bill Nottingham <notting@redhat.com>
- update to 3.29 (#27437)

* Tue Jan 23 2001 Bill Nottingham <notting@redhat.com>
- update to 3.27

* Fri Dec 01 2000 Bill Nottingham <notting@redhat.com>
- rebuild because of broken fileutils

* Fri Nov 10 2000 Bill Nottingham <notting@redhat.com>
- 3.26

* Fri Aug 11 2000 Jonathan Blandford <jrb@redhat.com>
- Up Epoch and release

* Wed Jul 26 2000 Bill Nottingham <notting@redhat.com>
- hey, vidmode works again

* Fri Jul 21 2000 Bill Nottingham <notting@redhat.com>
- update to 3.25

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Sat Jun 17 2000 Bill Nottingham <notting@redhat.com>
- xscreensaver.kss is not a %%config file.

* Sun Jun 11 2000 Bill Nottingham <notting@redhat.com>
- tweak kss module (#11872)

* Thu Jun  1 2000 Nalin Dahyabhai <nalin@redhat.com>
- modify PAM configuration to use system-auth

* Thu May 18 2000 Preston Brown <pbrown@redhat.com>
- added Red Hat screensaver (waving flag has logo now).

* Fri May  5 2000 Bill Nottingham <notting@redhat.com>
- tweaks for ia64

* Mon Apr 10 2000 Bill Nottingham <notting@redhat.com>
- turn off xf86vidmode ext, so that binaries built against XFree86 4.0
  work on 3.x servers

* Wed Apr  5 2000 Bill Nottingham <notting@redhat.com>
- turn off gnome support for now

* Mon Apr  3 2000 Bill Nottingham <notting@redhat.com>
- update to 3.24

* Wed Feb 09 2000 Preston Brown <pbrown@redhat.com>
- wmconfig entry gone.

* Mon Jan 31 2000 Bill Nottingham <notting@redhat.com>
- update to 3.23

* Fri Jan 14 2000 Bill Nottingham <notting@redhat.com>
- rebuild to fix GL depdencies

* Tue Dec 14 1999 Bill Nottingham <notting@redhat.com>
- everyone in GL
- single package again

* Fri Dec 10 1999 Bill Nottingham <notting@redhat.com>
- update to 3.22
- turn off xf86vmode on alpha

* Tue Dec  7 1999 Bill Nottingham <notting@redhat.com>
- mmm... hardware accelerated GL on i386. :) :)

* Mon Nov 22 1999 Bill Nottingham <notting@redhat.com>
- 3.21
- use shm on alpha, let's see what breaks

* Tue Nov 16 1999 Bill Nottingham <notting@redhat.com>
- update to 3.20

* Wed Nov  3 1999 Bill Nottingham <notting@redhat.com>
- update to 3.19

* Thu Oct 14 1999 Bill Nottingham <notting@redhat.com>
- update to 3.18

* Sat Sep 25 1999 Bill Nottingham <notting@redhat.com>
- add a '-oneshot' single time lock option.

* Mon Sep 20 1999 Bill Nottingham <notting@redhat.com>
- take webcollage out of random list (for people who pay for bandwidth)

* Fri Sep 10 1999 Bill Nottingham <notting@redhat.com>
- patch webcollage to use xloadimage
- in the random list, run petri with -size 2 to save memory
- extend RPM silliness to man pages, too.

* Mon Jul 19 1999 Bill Nottingham <notting@redhat.com>
- update to 3.17
- add a little RPM silliness to package GL stuff if it's built

* Thu Jun 24 1999 Bill Nottingham <notting@redhat.com>
- update to 3.16

* Mon May 10 1999 Bill Nottingham <notting@redhat.com>
- update to 3.12

* Tue May  4 1999 Bill Nottingham <notting@redhat.com>
- remove security problem introduced earlier

* Wed Apr 28 1999 Bill Nottingham <notting@redhat.com>
- update to 3.10

* Thu Apr 15 1999 Bill Nottingham <notting@redhat.com>
- kill setuid the Right Way(tm)

* Mon Apr 12 1999 Bill Nottingham <notting@redhat.com>
- fix xflame on alpha

* Mon Apr 12 1999 Preston Brown <pbrown@redhat.com>
- upgrade to 3.09, fixes vmware interaction problems.

* Mon Apr  5 1999 Bill Nottingham <notting@redhat.com>
- remove setuid bit. Really. I mean it.

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 3)

* Fri Mar 19 1999 Bill Nottingham <notting@redhat.com>
- kill setuid, since pam works OK

* Tue Mar 16 1999 Bill Nottingham <notting@redhat.com>
- update to 3.08

* Wed Feb 24 1999 Bill Nottingham <notting@redhat.com>
- wmconfig returns, and no one is safe...

* Tue Feb 23 1999 Bill Nottingham <notting@redhat.com>
- remove bsod from random list because it's confusing people???? *sigh*

* Tue Jan 12 1999 Cristian Gafton <gafton@redhat.com>
- call libtoolize to get it to compile cleanely on the arm

* Tue Jan  5 1999 Bill Nottingham <notting@redhat.com>
- update to 3.07

* Mon Nov 23 1998 Bill Nottingham <notting@redhat.com>
- update to 3.06

* Tue Nov 17 1998 Bill Nottingham <notting@redhat.com>
- update to 3.04

* Thu Nov 12 1998 Bill Nottingham <notting@redhat.com>
- update to 3.02
- PAMify

* Tue Oct 13 1998 Cristian Gafton <gafton@redhat.com>
- take out Noseguy module b/c of possible TMv
- install modules in /usr/X11R6/lib/xscreensaver
- don't compile support for xshm on the alpha
- properly buildrooted
- updated to version 2.34

* Fri Aug  7 1998 Bill Nottingham <notting@redhat.com>
- update to 2.27

* Wed Jun 10 1998 Prospector System <bugs@redhat.com>
- translations modified for de

* Mon Jun 08 1998 Erik Troan <ewt@redhat.com>
- added fix for argv0 buffer overflow

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Sat Apr 11 1998 Donnie Barnes <djb@redhat.com>
- updated from 2.10 to 2.16
- added buildroot

* Wed Oct 25 1997 Marc Ewing <marc@redhat.com>
- wmconfig

* Thu Oct 23 1997 Marc Ewing <marc@redhat.com>
- new version, configure

* Fri Aug 22 1997 Erik Troan <ewt@redhat.com>
- built against glibc
